Update a user
Updates user details. Roles can be updated to any valid public role.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Request Body required
Section titled “Request Body required ”object
First name of the user
Example
JohnLast name of the user
Example
DoeEmail address of the user
Example
john.doe@example.comJob title of the user
Example
Compliance OfficerRoles to assign to the user. Defaults to read-only if not provided.
Example
[ "read-only"]Responses
Section titled “ Responses ”User updated
object
Unique identifier of the user
Example
60d5ecb54b24003a7c8e92b2External ID from authentication provider
Example
auth0|507f1f77bcf86cd799439011First name of the user
Example
JohnLast name of the user
Example
DoeEmail address of the user
Example
john.doe@example.comJob title of the user
Example
Software EngineerID of the active account this user is currently scoped to
Example
507f1f77bcf86cd799439011All account memberships for the user
object
Account ID
Example
507f1f77bcf86cd799439011Account name
Example
Acme CorpDate when account was deactivated. Null if active.
Signed URL for the account logo image. Null if no logo has been uploaded.
User creation date
Example
2026-03-30T12:00:00.000ZUser last update date
Example
2026-03-30T12:00:00.000ZDate when user was deactivated. Null if user is active.
User status
Example
ACTIVERoles of the user
Example
[ "read-only"]Auth0 user metadata
object
Example
{ "requireMFA": true}Example
{ "id": "60d5ecb54b24003a7c8e92b2", "externalId": "auth0|507f1f77bcf86cd799439011", "firstName": "John", "lastName": "Doe", "email": "john.doe@example.com", "title": "Software Engineer", "activeAccountId": "507f1f77bcf86cd799439011", "accounts": [ { "id": "507f1f77bcf86cd799439011", "name": "Acme Corp", "deactivatedAt": null, "logoUrl": null } ], "createdAt": "2026-03-30T12:00:00.000Z", "updatedAt": "2026-03-30T12:00:00.000Z", "deactivatedAt": null, "status": "ACTIVE", "roles": [ "read-only" ], "metadata": { "requireMFA": true }}User not found